message("Received TENSORFLOW_VERSION: ${TENSORFLOW_VERSION}")
IF(TENSORFLOW_VERSION MATCHES "DeepRec")  # set(DEEPREC "DeepRecGPU" "DeepRec")
  set(ABSL_SDK_URL http://easyrec.oss-cn-beijing.aliyuncs.com/3rdparty/abseil-cpp-43ef2148c0936ebf7cb4be6b19927a9d9d145b8f.tar.gz)
  set(DEP_INFO "absl#${TENSORFLOW_VERSION}#${ABSL_SDK_URL}")
ELSE()
  # the same as tf 2.10.1  # 与 LaRec的版本保持一致
  set(ABSL_SDK_URL http://easyrec.oss-cn-beijing.aliyuncs.com/3rdparty/abseil-cpp-273292d1cfc0a94a65082ee350509af1d113344d.tar.gz)
  set(DEP_INFO "absl#tf2.10.1#${ABSL_SDK_URL}")
ENDIF()
message("absl version: ${DEP_INFO}")

FetchContent_Declare(absl
  QUIET
  URL ${ABSL_SDK_URL}
)
set(BUILD_SHARED_LIBS OFF CACHE INTERNAL "Build as static library")
IF(TENSORFLOW_VERSION MATCHES "DeepRec")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include limits")
ENDIF()
FetchContent_MakeAvailable(absl)

list(APPEND PROJECT_DEPENDENCIES ${DEP_INFO})
set(PROJECT_DEPENDENCIES ${PROJECT_DEPENDENCIES} CACHE INTERNAL "List of project dependencies" FORCE)