SET(GLOG_INSTALL_DIR ${CMAKE_BINARY_DIR}/3rdparty/)
SET(URL http://easyrec.oss-cn-beijing.aliyuncs.com/3rdparty/glog/glog-0.6.0.tar.gz)
# 声明 glog 仓库
FetchContent_Declare(
  glog
  URL ${URL}
  PREFIX   "${GLOG_INSTALL_DIR}/glog" # 设置下载和构建前缀
)

if(BUILD_WITH_TORCH)
  # use shared lib to avoid file '/larec/build/_deps/glog-src/src/logging.cc' is being linked both statically and dynamically into this executable.
  set(BUILD_SHARED_LIBS ON CACHE INTERNAL "Build as shared library")
else()
  # to avoid problem caused by difference of runtime between build enviroment and MaxCompute
  set(BUILD_SHARED_LIBS OFF CACHE INTERNAL "Build as static library")
endif()

set(BUILD_TESTING OFF CACHE INTERNAL "turn off testing")
set(WITH_GFLAGS OFF CACHE INTERNAL "turn off gflags")
set(CMAKE_POSITION_INDEPENDENT_CODE ON CACHE INTERNAL "make position indepedency")
set(CMAKE_INSTALL_PREFIX "${GLOG_INSTALL_DIR}" CACHE PATH "" FORCE) # 强制安装路径
#FetchContent_MakeAvailable(glog)  # 这种方式不能指定安装位置
# will not install the include/lib in cpack dirctory
FetchContent_GetProperties(glog)
if(NOT glog_POPULATED)
    FetchContent_Populate(glog)
    # 传递EXCLUDE_FROM_ALL参数以防止全局安装
    add_subdirectory(${glog_SOURCE_DIR} ${glog_BINARY_DIR} EXCLUDE_FROM_ALL)
endif()

# set(DEP_INFO "glog#0.6.0#${URL}")
# list(APPEND PROJECT_DEPENDENCIES ${DEP_INFO})
# set(PROJECT_DEPENDENCIES ${PROJECT_DEPENDENCIES} CACHE INTERNAL "List of project dependencies" FORCE)
