/* Copyright 2015 The FeatureGenerator Authors. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
==============================================================================*/
#pragma once
#ifndef FEATURE_GENERATOR_INTEGRAL_TYPES_H_
#define FEATURE_GENERATOR_INTEGRAL_TYPES_H_

namespace fg {

typedef signed char int8;
typedef short int16;
typedef int int32;

typedef unsigned char uint8;
typedef unsigned short uint16;
typedef unsigned int uint32;

#ifdef BUILD_WITH_TENSORFLOW
  #include "tensorflow/core/public/version.h"
  #if (TF_MAJOR_VERSION == 1)
    typedef long long int64;
    typedef unsigned long long uint64;
  #else
    #include <cstdint>
    typedef ::std::int64_t int64;
    typedef ::std::uint64_t uint64;
  #endif
#elif defined(BUILD_WITH_DEEPREC)
  typedef long long int64;
  typedef unsigned long long uint64;
#else
  #include <cstdint>
  typedef ::std::int64_t int64;
  typedef ::std::uint64_t uint64;
#endif

}  // namespace fg

#endif  // FEATURE_GENERATOR_INTEGRAL_TYPES_H_